commit:     80f5336c61258f23ac604974e1cf45c2a359e57f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 25 04:31:13 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun 25 08:01:49 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80f5336c

dev-python/tenacity: Bump to 8.4.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/tenacity/Manifest              |  1 +
 dev-python/tenacity/tenacity-8.4.2.ebuild | 43 +++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/tenacity/Manifest b/dev-python/tenacity/Manifest
index b8dfdd640884..3729b6ccbf6e 100644
--- a/dev-python/tenacity/Manifest
+++ b/dev-python/tenacity/Manifest
@@ -1,2 +1,3 @@
 DIST tenacity-8.3.0.tar.gz 43608 BLAKE2B 
fcf7471110c831cfab20c81bb0bfa2c2895ce33b6cdf22c21dfd0f219eeb674dc4e7f4186e7c9a3366574636becd7391d68acb285069844ccaf358da6afa9c02
 SHA512 
46152ffacc0a87931cec09bd90eed3d2ad46f89101997c5da2aa510844c814b887a83805b4ec0de6a56759a7f2bcbab0cb2b2f1a4e6c11860ae53f64ff2a4c31
 DIST tenacity-8.4.1.tar.gz 45426 BLAKE2B 
e5cb1ed5a93a28a5733b7c25f95a5d9c4d4e341b5185c235e93bcf681590a72cd3895a1e9b24eaa31b939168f6420e8a28a5d8b982847886e9a799a983d41df8
 SHA512 
7abf17c5c4dbcb45aff3b660f70daa80fc673aa36e0ed95941a566d3740238d051736bc0da330110300bd4beae9a8a56082c4348d24e6bfa20a269bac771d956
+DIST tenacity-8.4.2.tar.gz 46206 BLAKE2B 
b7829d5eecb29e9fe8ec0e01c68bb9381182c93602d86ad3b8aa746aa4d809d733d72480d8a3a3eb793d46f5c091672202109db2eb34e05ec5204d32c32d3995
 SHA512 
64e56d27ade71116309327cc6a1f04a9fa54c9e1b867cdfbe294799be3707259bdf63d676259235c629ef10b9a9c2850f80bfab5863cec0a019bff779b48e892

diff --git a/dev-python/tenacity/tenacity-8.4.2.ebuild 
b/dev-python/tenacity/tenacity-8.4.2.ebuild
new file mode 100644
index 000000000000..d2558578d37c
--- /dev/null
+++ b/dev-python/tenacity/tenacity-8.4.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="General-purpose retrying library"
+HOMEPAGE="
+       https://github.com/jd/tenacity/
+       https://pypi.org/project/tenacity/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~sparc ~x86"
+
+BDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+       test? (
+               $(python_gen_cond_dep '
+                       >=dev-python/tornado-6.4-r1[${PYTHON_USEDEP}]
+                       dev-python/typeguard[${PYTHON_USEDEP}]
+               ' 3.{10..12})
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       local EPYTEST_IGNORE=()
+       if ! has_version ">=dev-python/tornado-6.4-r1[${PYTHON_USEDEP}]"; then
+               EPYTEST_IGNORE+=(
+                       tests/test_tornado.py
+               )
+       fi
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest
+}

Reply via email to